
import 'package:flutter/cupertino.dart';
import 'package:localstore/localstore.dart';

import '../api/apiResponse.dart';

abstract class DataHolder extends ChangeNotifier {

  CollectionRef storage(String path) {
    return Localstore.instance.collection(path);
  }

  void run();
  List<ApiResponse?> properties();

  bool primaryLoading() {
    for(ApiResponse? element in properties()) {
      if(element == null) return true;
    }
    return false;
    //return properties().where((element) => element != null).isEmpty;
  }
}